---
date: 2023-09-24T20:45:43+10:00
draft: false
menu:
  after:
    weight: 5
title: Learn to play
---

# Information about how to play Blastmud

## Gameplay style

Blastmud has no fixed goal - you can't win or lose at Blastmud, which means you get
to set your own objectives ("sandbox play")! You can be an explorer, a crafter,
a fighter, a medic, a scientist, the CEO of your own large corp, or some combination -
and when you add in roleplay options, the possibilities to
make the game your own are nearly endless.

## Stats and Skills

When you first create your character, Blastmud will make you choose your stats. The
stats you pick will in turn impact your character's initial skills, which will impact
what your character is good at in the world.

There is an art and a science to planning out your character's build (your choice of stats,
and what you work on enhancing early in your game) so that they will be the type of player
you want them to be. Your choice of stats will impact things like what weapons are best for
fighting, how easily you can craft, and so on - so choose wisely!

Pro tip: Blastmud currently has best support for whips and blades, so picking skills for
one of those is recommended. We will add better support for more weapon types over time.

Learn more: [Stats and Skills](stats-skills)

## Movement

In Blastmud, you move around by sending commands representing the compass
direction you want to move in.

You can use the full direction name or just the first letter - e.g.
N (north), S (south), E (east), W (west). In some cases, you can move NE (northeast),
NW (northwest), SE (southeast) and SW (southwest).

Moving is not instant - just like in real life, it takes time to move around.
You can queue up future moves while the game is making you wait for your previous
move to complete - the game will queue up your moves or other actions (up to 20
actions) and do them one after the other.

Once your move is complete, the game will give you a small ASII-art map of your
new position, as well as the name and description of the room (place) you have arrived at.

## Combat

In Blastmud, certain NPCs (and if you consent, other players) can attack you, and you can
attack them with the `attack` command (aliases: `kill`, `k`).

If you get attacked, you automatically fight back (unless you are already in another fight).
You can try to run away like a coward (just by attempting a movement) - this might fail,
depending on your `dodge` skill. It is usually a good idea to run away rather than fight
a battle that you are going to lose anyway.

In battle, you use your weapon to try to hit the other player - this happens automatically.
You can change weapons with the `wield` command (it must be in your inventory). If you hit,
they lose health points. If they hit you, you lose health points.

If you don't have a weapon, you use your fists. But if you don't have good fists skill, it
won't be a fantastic weapon. You can buy a better one by going into a shop and using the
`list` and then `buy` commands.

If your health points go to zero, you die. Luckily, however, the futuristic world of Blastmud
has a system where you are given a new clone that your memories are transferred across
to in a clone vat. However, dying is not great. Your physical body stays where it died,
with all the possessions on it, and so you risk losing them. You also lose experience points
(which impact your maximum health) and some of your hard-earned credits for the privilege
of getting a new body.

If you lose health, you or someone with good enough medic skill can use a trauma kit (bought
from a shop, and packed with healing medical devices) to heal you back to full health. If you
are getting low on health, it is a good idea to run away to somewhere safe if you can!

## Skills

In Blastmud, you have raw skills, which are determined primarily by how much practice you
have at the skill (and start off at 0, and can go up to 15), but you get a bit extra
added to it to form your total skill (total = raw + extra). Every skill has one or two
stats that boost it if you have them - e.g. Craft is boosted by brains, so you get 8
extra if your brains stat is 8, but 15 extra if your brains stat is 15.

In Blastmud, your chance at doing nearly everything you try to do comes down to chance
and skill. The more skilled you are, the less you depend on chance (the higher the chances
of you succeeding at a task). Different tasks require different skills and skill levels -
some are harder - with the same level of skill, you are less likely to succeed at a
harder task that uses the same skill.

Using skills helps you to improve your raw (experience level) in that skill. You can
only improve in a skill again if it has been a minute since your last improvement in
that skill - and it comes down to chance. You have the most chance of improving if you
do a task which is closely matched to your skill level - if it is too easy or too hard
for you, the chance of learning is decreased.

## Armour
In Blastmud, you can wear clothing. Different clothing covers different parts of your body,
and many types offer protection to the body parts that it covers (making it armour).

Every item of clothing has a thickness, and the total thickness of clothing worn on any part of
the body can't exceed 12 - or you won't be able to put any more on.

There is a dark side to wearing too much though - clothing slows down how much you move, which
is reflected in a dodge penalty - an amount subtracted from your dodge skill, hence making it
harder to escape your enemy's attacks.

Put on clothing with the *wear* command, and take it off with *remove*.

Try the *gear* command to see what you are wearing, how much protection it offers, and how
much impact it has on your ability to dodge.

[Learn more about armour](armour).

## Thirst, hunger, stress

Just like in the real world, in Blastmud, if you don't look after yourself, you will not
have a good time.

Try the `stat` command to see how stressed, hungry, and thirsty you are.

Stress is a measure of how tired and worn out you are. You get stressed by doing all kinds
of actions - especially fighting and crafting.  If your stress gets too high, you lose the
ability to craft until you bring your stress down. If it gets even higher, you can't fight
back if someone attacks you, and eventually you won't even be able to move. So high stress
in a dangerous place makes you a sitting duck! Luckily, if you are stressed, there is a
very easy cure; just use the `sit` command to sit down, or better yet, try to `recline`
to lie down. It is recommended you chose a safe place to do this!

You get hungry just by being logged in to the game. You move very slowly as your energy levels
get lower, slowing down drastically by the time you are starving. You can cure hunger by
finding some food. If you can find a corpse and have a suitable blade (try a butcher knife
from an outdoor shop), in a pinch you can cut a steak from it and eat it. Or better yet,
buy a recipe at a book store, and cook your steak in a stove for a much healthier cooked
steak. If you can't be bothered, or are too hungry to fight and cook, you can
also dine out (note that Jill's Diner - JD - in Melbs - will sell you a burger for whatever
credits you have, even $0, as long as you are unstressed enough to ask nicely; recline for
a bit, and buy a burger there if you ever end up broke and hungry).

You get thirsty from walking around a lot. To quench your thirst, you can `drink from fountain`
on a tile with a fountain - e.g. the one outside the Homeless Shelter (HS). To drink on the go,
try buying a bottle from Grande Outdoors, then `fill bottle from fountain` and then
`drink from bottle`.

## Consent

In Blastmud, you can interact with other players, but many actions are placed behind
"consent checks". The in character reason for this is because everyone wears a wristpad,
a relic of the fallen society, which stops people from doing things to each other
without consent. Certain aggressive NPCs are not subject to the wristpad system, and
can freely attack and be attacked - and consent commands only work for players, not NPCs.

Two commands in the game are your gateway to controlling consent: `allow` and `disallow`.

The general form of an allow command is: `allow <action> from <user> <options>`.
You don't actually type the `<` and `>`, they signify sections of the command you
need to replace.

`<action>` is replaced with one of `fight`, `medicine`, `gifts`, `visit`, or `share`.

`<user>` is replaced with the username of the person you are consenting.

`<options>` can be left blank, or you can string together one of the following options, separated by spaces:
* `for <duration>`, where duration is a number followed by `minutes`, `hours`, `days`, or `weeks` - sets an expiry for your consent.
* `until death` - your consent ends when you next die.
* `allow private` - your consent also applies in private places (this is the default anyway except for `fight`).
* `disallow private` - your consent doesn't apply in private places (this is the default for `fight`).
* `allow pick` - `fight` only - allows someone to pick any lock you own to come and get you.
* `allow revoke` - `fight` only - allows your consent to be freely revoked at any time (non-fight consent can alway be freely revoked).
* `in` - limits your consent to the specified place - try `in here` to refer to your current location.

For all consent types except `fight`, consent is unilateral (you consent to someone else doing something to you,
but you can't do it back unless they also consent) and freely revokable (you can do `disallow <action> from <user>` any
time and the consent ceases to apply).

For `fight` consent, it doesn't take effect until the other user also agrees to the same terms back at you - so consenting
to fight is sort of like declaring war. They are given a message with the right command to create a matching consent so
they can fight you. You can retract consent to fight up until they accept it. Once they accept it, if you didn't say
`allow revoke` in the options, then you can't unilaterally withdraw consent. If you try to `disallow fight from <user>` in
such a case, you will get a message saying you want to cancel the consent, with the command to use. The consent is in force
until they also run the `disallow fight from <you>` command - which they might not - or until it expires under the terms. Note
that unless you specify a shorter duration with a `for` option, `fight` consents last for one week. You can amend the terms
of a `fight` consent any time, but it will only take effect when the other player mirrors your amended version.

## The corp system

In Blastmud, you can join up to 5 corps - businesses / organisations. Corps form your network in the game -
they are the players who have your back.

Corps are an important part of the game, so joining one early might be a good idea.

To learn more about being in a corp, or running your own, read the [main article](corps) about the corp system.

## Logging off

It might be tempting just to leave your character wherever you are and log off, but it is probably a bad idea.
When you log off, NPCs and players who can attack you when you are logged on can still attack you while logged
off. You will fight back, but never flee or heal yourself - so logging off in the wrong place could leave you
dead and waiting to re-clone (with less XP) when you log back in.

Instead, pick a safe place to log off. If you are broke, you could try the Homeless Shelter (HS) in
Melbs Central. Fog machines mean no one can fight there - but you also can't keep any stuff you can't
carry there, so it is more a home of last resort.

For nicer digs, try heading a bit further south along King Street to Condos on King (CK). There, you can rent
a studio apartment (`rent studio`) for a daily fee, and ask the robot to guide you to your apartment any time
you want to visit with `in yourusername`. You have your own personal doorstep, but keep in mind that the
doorstep itself is accessible to anyone who wants to go there. Head further east to go into your private
apartment itself.

It comes with a door, but it is up to you to buy a lock if you want security (without a lock, anyone you have
allowed to visit, or are at war with, can come in, and help themselves to your stuff - and attack you if you
are at war). Keep in mind that if you are at war and have allowed pick, locks can be picked though!

To buy a lock, head to Locked & Loaded (LL) on Collins St. Once you have the lock, go in to the room you want to lock
(you have to install it from the inside, not from the doorstep), and install it with a command like
`install scanlock on door to west`. You can uninstall it if you want to change to a different lock later:
`uninstall scalock from door to west`.

The door will open for you if you try to go through it, but no one else will be able to open it without
picking it first (and if you haven't issued an `allow combat` command including `allow pick`, you are completely
safe while the door is closed and it's just you in there. Keep in mind that if you open the door, others can
get through too until you close it. So if you come out of your apartment, remember to `close east` before moving
on!

Congratulations on taking the first step on your property journey - enjoy your new home! Feel free to invite
others in with `allow visit from <user>` - set a limit like `until 5 minutes`, or `disallow visit from <user>`
after if you don't want them coming back. Be careful about inviting dishonest visitors though in case they try
to clean you out!

## Wristpad hacks

You get a limited number of Wristpad hacks (starting with none, and ramping up on a curve as you get more
XP). The `status` command will tell you how many slots you have free.

When you have free slots, if you find a site where you can apply a particular hack, you can type `hack hackname`,
where hackname is the name of the hack, to gain that hack. Wristpad hacks cannot be uninstalled except by
resetting your stats, so choose wisely!

### List of wristpad hacks

Name|Effects|Where
-|-|-
Superdork|+3 brains, -1 cool|Search the computer museum

## Sharing
Blastmud's sharing system is a two-player collaborative experience based on the premise that if two players share local knowledge, they will (at least while the local knowledge is fresh) be stronger for it. As such, for 10 minutes after sharing, it will boost stats - in the best case, 2 points of boost for every single stat. As such, to be good at Blastmud, you should get good at sharing.

You start sharing with a player by typing `share knowledge with <player>` while you are in the same place (as long as they have consented with `allow share from <player>` first). Sharing will start immediately and automatically, but if you just leave it to run with no intervention, you'll get a very bad score (but don't worry, you can always start sharing again for another try). To get a better score, you need to understand how sharing works and plan your strategy, so read on!

When sharing in Blastmud, there are 7 interest types:
* Philosophy
* Local geography
* Threats
* Tactics
* Weather
* Politics
* Frivolity

The effectiveness of a sharing session is measured by the highest sum of all the interest type levels reached during the session at any one point in time. On the other hand, if your conversation goes too deep into one interest type and overruns the maximum, then the conversation gets overwhelming and ends. So a good conversation will balance all of the 7 interest types and get them simultaneously to be just below the maximum; this is harder said than done without letting one go over before others are near the top. Try `share status` while in conversation to see your current interest levels.

In order to steer which interest type levels are increasing, and which are decreasing slowly, you can change the topic of conversation, by entering the name of the new topic. However, changing the topic might not always go over smoothly - depending on your `share` skill level, and the time since the last change, the topic change might fail (and if it goes really wrong, might even reset the timer until you can try again). The more skilled you are, the more quickly you can make subsequent changes. When you have a good chance of making a change, the game will inform you with a message, including the possible options you can type.

However, you cannot freely talk about a topic if the current style of conversation isn't suited to it. There are three conversational styles:
* Joking
* Serious
* Amicable

You can switch conversational styles (but it counts as a change, just like changing topics, and might fail). Each of the three conversational styles has three topics you can talk about in that style - making a total of nine topics. When you first switch styles, you'll land in the default topic for the style - and you'll have to wait to switch topics.

Two things make it easier: firstly, if you have high Share skill, you can change topics more quickly. Secondly, just because you've changed topics recently and it would be awkward for you to change again quickly doesn't mean the same applies to your partner; their timer is independent to yours. If you can coordinate with your conversational partner, you get more switches between you than if one partner does all the switching, and can more effectively optimise your score.

Finally, if you find the conversation too fast or too slow, you can also change the pace with `share slowly`, `share normally` or `share quickly`. Keep in mind changing the pace counts as a change, like changing topics - but once you have set the pace, it scales how fast conversational interest levels grow.

Use the following table to help work out what topics to choose:


Style|Topic|Interest Impacts
-|-|-
amicable|fishing spots|weather+++, local geography++, frivolity++, threats-, tactics-, politics-
amicable|thoughts on sun tzu|tactics++++, politics+++, philosophy++, local geography-, threats-, weather-
amicable|exploring ruins|local geography++++, weather++, frivolity++, philosophy+, threats-, tactics-
joking|parody kings office|politics++++, frivolity+++, philosophy+, local geography-, threats-, tactics-, weather-
joking|play fight|tactics++++, threats++, frivolity++, philosophy+, local geography-, weather-, politics-
joking|thoughts on machiavelli|philosophy++++, politics++++, tactics++, local geography-, threats-, weather-, frivolity-
serious|roaming enemies|threats++++, local geography+, tactics+, philosophy-, weather-
serious|surviving weather|weather+++++, local geography+++, threats++, philosophy-, politics-, frivolity-
serious|good ambush spots|tactics+++, threats+++, weather++, local geography+, philosophy-, politics-, frivolity-

## Starting again
### Resetting your stats
If you don't like the stats you picked, you can pick again with the *delete stats* command. It
will prompt you to enter a code to confirm.

Note if you do this:
* Your character dies instantly.
* You lose all your XP, except XP obtained through completing journals.

You don't lose your credits, nor do you lose any apartments you are renting (or corps you belong
to), and you come back with the same username. You can change your starting stats and your sex.

### Destroying your character entirely
If you want to give up on a character entirely, you can [log in to the game](https://www.blastmud.org/game.html) with your username and password, and enter the command *delete character forever*. It will prompt you to enter a code to confirm.

Note if you do this:
* You get disconnected from the game immediately.
* A one week countdown period starts.
* If you log in again as that user within the week, the deletion is cancelled.
* If you don't log in for a week, the deletion process is started.
* Your user (including our records of your email and so on) are deleted from the database. We keep backups going back about 9 days, but we only use backups to roll back in the event of a major problem affecting multiple users - so as far as your character is concerned, it is gone and never coming back after the week.
* Your character and anything in its possession is completely deleted.
* Any apartments the character is renting are evicted - sending any other players there on to the street, and destroying any possessions left there.
* All XP, credits, journals and so on are lost forever.
* Another user can register as the same username if they want to.
* After the user is deleted, it doesn't count towards your limit of 5 characters (but note: it does count during the one week wait period).
